# Changelog

## 2024-10-21 - 1.2.3 - fix(logs)
Improve logging mechanism with structured logs for publish process

- Enhanced log messages to provide more clarity during module publishing.
- Ensured logging captures steps of publish and init process in TsPublish and PublishModule classes respectively.

## 2024-10-21 - 1.2.3 - fix(classes.publishmodule)
Add missing 'type: module' to dynamically generated package.json

- Ensure that the 'type: module' field is included in each dynamically generated package.json file for consistent module handling.

## 2024-10-21 - 1.2.3 - fix(classes.publishmodule)
Add missing 'type: module' to dynamically generated package.json

- Ensure that the 'type: module' field is included in each dynamically generated package.json file for consistent module handling.

## 2024-10-21 - 1.2.2 - fix(publishmodule)
Fix bug in package.json creation for publish module

- Fixed an issue where `package.json` was not being written to the publish module directory.

## 2024-10-21 - 1.2.1 - fix(package.json)
Ensure bin field is properly restructured

- Fixed the structure of the package.json to ensure the bin field is accurately set.

## 2024-10-21 - 1.2.0 - feat(core)
Enhance package publication workflow with dependency handling and CLI improvements.

- Updated package description and keywords in package.json and npmextra.json.
- Integrated dependency extraction from root package.json into sub-package tspublish.json during initialization.
- Added build and publish script executions for each submodule.
- Improved CLI documentation and usage guidance in readme.md.

## 2024-10-21 - 1.1.0 - feat(core)
Add runCli function to execute TsPublish process

- Introduced runCli function to start publish workflow using TsPublish class.
- Enhanced the process to read directory and create publish module directories.
- Improved logging for better tracking of found publish modules.

## 2024-10-21 - 1.0.1 - Initial Release
Initial release of the project.

- First version of the codebase
